##################################################
# HotHits v1.0          Created by Raul Gonzalez #
# Made for NewsPro      Tested on NewsPro v3.7.4 #
# Bugs? Comments? Ideas? @                       # 
#         Email ----> Wrestlinggamer@hotmail.com #
##################################################

##################################################
# NewsPro Addon Hooks
#
	push(@Addons_Loaded, 'HotHits v1.0');
	$Addons_List{'HotHits v1.0'} = ['npa_icpics.pl', 'Check how many visitors click on your news.'];
	push(@Addons_LoadHelp, 'HHits_LoadHelp');
	push(@Addons_PageHandler, 'HHits_PageHandler');
	push(@Addons_MainPage, 'HHits_MainPage');
	push(@Addons_NPHTMLFoot, 'HHits_HTMLFoot');

##################################################
# Display Hot Hits Link On Main Page
#
	sub HHits_MainPage {
		if ($up == 3) {
			print qq~
				<b><a href="$scripturl?hothits">HotHits v1.0</a>:</b> Check how many visitors click on your news.<br><br>
			~;
		}
	}
	
##################################################
# Display Hot Hits Link At Footer
#
	sub HHits_HTMLFoot {
		if ($up == 3) {
			print qq~
				<a href="$scripturl?hothits" class="navlink">HotHots v1.0</a><br> |
			~;
		}
	}

##################################################
# Page Handler Pages
#
	sub HHits_PageHandler {
		if (query_string() eq "hothits") {
			&HHitsMain;
			exit;
		}
		if (query_string() eq "hothits2") {
			&HHitsMain2;
			exit;
		}
	}

##################################################
# Screens Displays                               #
##################################################

##################################################
# Main Admin Screen
#
	sub HHitsMain {
		# If not Webmaster Level, you can't access HHits.
		unless ($UserPermissions{$Cookies{'uname'}} eq "3") {
			&NPdie("You are not authorized to access this.");
		}
		
		&NPHTMLHead("HotHits v1.0 Addon");
		
		$hhdata = "./hhdata.db";
		
		print qq~
			<p align="center"><strong><font face="Verdana" size="2">
			<font face="Verdana" size="2" color="#FF0000">H</font><font face="Verdana" size="2" color="#FF9A00">o</font><font face="Verdana" size="2" color="#FFFF00">t</font>
			Hits v1.0 - <a href="mailto:wrestlinggamer\@hotmail.com">Raul Gonzalez</a>
			</font></strong>
			<font face="Arial,helvetica" size="2"><br>
			<center>
			<table border="0" height="74" width="80%" cellpadding="2" cellspacing="0">
  			<tr>
    			<td bgcolor="#C0C0C0">
    				<strong><font face="Tahoma" size="2" color="#000000">URL</font></strong>
    			</td>
    			<td bgcolor="#C0C0C0">
    				<strong><font face="Tahoma" size="2" color="#000000">Clicks</font></strong>
    			</td>
  			</tr>
		~;
	
		open(DATA, "$hhdata");
			@db = <DATA>;
  	close(DATA);
  
  	foreach $i (reverse sort byhits @db) {
  		chomp($i);
    	($clicks,$url) = split (/\|/,$i);
			$totclicks = $totclicks+$clicks;
			($newsidurl,$newsidnum) = split (/\?/,$url);
    	print qq~
  			<tr>
    			<td>
    				<font face="Tahoma" size="2"><a href="$url">$newsidnum</a></font>
    			</td>
    			<td>
    				<font face="Tahoma" size="2">$clicks</font>
    			</td>
  			</tr>	
			~;
  	} 

		print qq~
  			<tr>
    			<td align="right">
    				<font face="Tahoma" size="2">Total:</font>
    			</td>
    			<td>
    				<font face="Tahoma" size="2">$totclicks</font>
    			</td>
  			</tr>
		~;

		print qq~
			</table><br><br>
				<b>Most Hits</b> | <a href="?hothits2">Least Hits</a>
			</center>
		~;
		
		NPHTMLFoot();
	}

##################################################
# Screen 2
#
	sub HHitsMain2 {
		# If not Webmaster Level, you can't access Hot Hits.
		unless ($UserPermissions{$Cookies{'uname'}} eq "3") {
			&NPdie("You are not authorized to access this.");
		}
		
		&NPHTMLHead("HotHits v1.0 Addon");
		
		$hhdata = "./hhdata.db";
		
		print qq~
			<p align="center"><strong><font face="Verdana" size="2">
			<font face="Verdana" size="2" color="#FF0000">H</font><font face="Verdana" size="2" color="#FF9A00">o</font><font face="Verdana" size="2" color="#FFFF00">t</font>
			Hits v1.0 - <a href="mailto:wrestlinggamer\@hotmail.com">Raul Gonzalez</a>
			</font></strong>
			<font face="Arial,helvetica" size="2"><br>
			<center>
			<table border="0" height="74" width="80%" cellpadding="2" cellspacing="0">
  			<tr>
    			<td bgcolor="#C0C0C0">
    				<strong><font face="Tahoma" size="2" color="#000000">URL</font></strong>
    			</td>
    			<td bgcolor="#C0C0C0">
    				<strong><font face="Tahoma" size="2" color="#000000">Clicks</font></strong>
    			</td>
  			</tr>
		~;
	
		open(DATA, "$hhdata");
			@db = <DATA>;
  	close(DATA);
  
  	foreach $i (sort byhits @db) {
  		chomp($i);
    	($clicks,$url) = split (/\|/,$i);
			$totclicks = $totclicks+$clicks;
			($newsidurl,$newsidnum) = split (/\?/,$url);
    	print qq~
  			<tr>
    			<td>
    				<font face="Tahoma" size="2"><a href="$url">$newsidnum</a></font>
    			</td>
    			<td>
    				<font face="Tahoma" size="2">$clicks</font>
    			</td>
  			</tr>	
			~;
  	} 

		print qq~
  			<tr>
    			<td align="right">
    				<font face="Tahoma" size="2">Total:</font>
    			</td>
    			<td>
    				<font face="Tahoma" size="2">$totclicks</font>
    			</td>
  			</tr>
		~;

		print qq~
			</table><br><br>
				<a href="?hothits">Most Hits</a> | <b>Least Hits</b>
			</center>
		~;
			
		NPHTMLFoot();
	}

	sub byhits {
		@a = split(/\|/,$a);
		@b = split(/\|/,$b);
		$a[0] <=> $b[0];
	}
	
##################################################
# Hot Hits Addon Help
#
	sub HHits_LoadHelp {
		$Help{'hothits'} = q~URL, is the url which the clicks, on the right, have been clicked on. Click the links on the botton to see the least or the most hits. By Raul Gonzalez</a>. ICQ # 35019053<br>~;
		$Help{'hothits2'} = q~URL, is the url which the clicks, on the right, have been clicked on. Click the links on the botton to see the least or the most hits. By Raul Gonzalez</a>. ICQ # 35019053<br>~;
	}
	
# FIN.
# Shout-Outs to: Xaken, plushpuffin (I didn't capitalize!), Elvii, and Kyro. Peace.
1;